com.threerings.parlor.tourney.data

## Class Participant

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.parlor.tourney.data.Participant

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry, Comparable<Participant>

    public class Participant
    extends com.threerings.io.SimpleStreamableObject
    implements com.threerings.presents.dobj.DSet.Entry, Comparable<Participant>

Contains information on a particular tourney participant.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`com.threerings.util.Name` `username` The username of the participant.

### Constructor Summary

Constructors
Constructor and Description
`Participant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Participant op)`
`boolean` `equals(Object other)`
`Comparable<?>` `getKey()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### username

    public com.threerings.util.Name username

The username of the participant.

### Constructor Detail

#### Participant

    public Participant()

### Method Detail

#### getKey

    public Comparable<?> getKey()

Specified by:
  `getKey` in interface `com.threerings.presents.dobj.DSet.Entry`

#### compareTo

    public int compareTo(Participant op)

Specified by:
  `compareTo` in interface `Comparable<Participant>`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `com.threerings.io.SimpleStreamableObject`